Bug 176594 - devel/arm-elf-binutils update and maintainer change
Summary: devel/arm-elf-binutils update and maintainer change
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-02 04:20 UTC by Danilo Egêa Gondolfo
Modified: 2013-03-03 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (8.27 KB, patch)
2013-03-02 04:20 UTC, Danilo Egêa Gondolfo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Egêa Gondolfo 2013-03-02 04:20:00 UTC
devel/arm-elf-binutils update.

Changes:
- Update from 2.17 to 2.23.1
- Maintainer change

Fix: Patch attached with submission follows:
Comment 1 Beech Rintoul freebsd_committer 2013-03-02 05:10:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Beech Rintoul freebsd_committer 2013-03-02 06:51:32 UTC
Patches don't apply cleanly to tree version. Please fix and submit.
Comment 3 dfilter service freebsd_committer 2013-03-03 04:03:50 UTC
Author: beech
Date: Sun Mar  3 04:03:36 2013
New Revision: 313324
URL: http://svnweb.freebsd.org/changeset/ports/313324

Log:
  - Update to 2.23.1
  - Pass maintainership to submitter
  
  PR:		ports/176594
  Submitted by:	Danilo Egea <danilogondolfo@gmail.com>

Modified:
  head/devel/arm-elf-binutils/Makefile   (contents, props changed)
  head/devel/arm-elf-binutils/distinfo   (contents, props changed)
  head/devel/arm-elf-binutils/pkg-plist   (contents, props changed)

Modified: head/devel/arm-elf-binutils/Makefile
==============================================================================
--- head/devel/arm-elf-binutils/Makefile	Sun Mar  3 03:21:29 2013	(r313323)
+++ head/devel/arm-elf-binutils/Makefile	Sun Mar  3 04:03:36 2013	(r313324)
@@ -1,26 +1,21 @@
-# ex:ts=8
-# New ports collection makefile for:	binutils-arm
-# Date created:		3 November 2000
-# Whom:			Espen Skoglund <esk@ira.uka.de>
-#
+# Created by: Espen Skoglund <esk@ira.uka.de>
 # $FreeBSD$
-#
 
 PORTNAME=	binutils
-PORTVERSION=	2.17
+PORTVERSION=	2.23.1
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEWARE}
 MASTER_SITE_SUBDIR=	binutils/releases
 PKGNAMEPREFIX=	arm-elf-
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	danilogondolfo@gmail.com
 COMMENT=	GNU binutils for vanilla ARM cross-development
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--target=${PKGNAMEPREFIX:S/-$//}
+CONFIGURE_ARGS=	--target=${PKGNAMEPREFIX:S/-$//} CFLAGS="-I/usr/local/include"
 INFO_PATH=	${PKGNAMEPREFIX:S/-$//}/info
 MAN1=		${PKGNAMEPREFIX}addr2line.1 ${PKGNAMEPREFIX}as.1 \
 		${PKGNAMEPREFIX}ar.1 ${PKGNAMEPREFIX}c++filt.1 \
@@ -29,10 +24,14 @@ MAN1=		${PKGNAMEPREFIX}addr2line.1 ${PKG
 		${PKGNAMEPREFIX}objcopy.1 ${PKGNAMEPREFIX}objdump.1 \
 		${PKGNAMEPREFIX}ranlib.1 ${PKGNAMEPREFIX}readelf.1 \
 		${PKGNAMEPREFIX}size.1 ${PKGNAMEPREFIX}strings.1 \
-		${PKGNAMEPREFIX}strip.1 ${PKGNAMEPREFIX}windres.1
+		${PKGNAMEPREFIX}strip.1 ${PKGNAMEPREFIX}windres.1 \
+		${PKGNAMEPREFIX}elfedit.1 ${PKGNAMEPREFIX}windmc.1 \
+		${PKGNAMEPREFIX}gprof.1
+
+MAKE_JOBS_SAFE=	yes
 
 post-install:
-.for F in addr2line c++filt objcopy objdump readelf size strings
+.for F in addr2line c++filt elfedit gprof objcopy objdump readelf size strings
 	${LN} -f ${PREFIX}/bin/${PKGNAMEPREFIX}$F  \
 		${PREFIX}/${PKGNAMEPREFIX:S/-$//}/bin/$F
 .endfor

Modified: head/devel/arm-elf-binutils/distinfo
==============================================================================
--- head/devel/arm-elf-binutils/distinfo	Sun Mar  3 03:21:29 2013	(r313323)
+++ head/devel/arm-elf-binutils/distinfo	Sun Mar  3 04:03:36 2013	(r313324)
@@ -1,2 +1,2 @@
-SHA256 (binutils-2.17.tar.bz2) = e2c33ce6f23c9a366f109ced295626cb2f8bd6b2f08ff9df6dafb5448505a25e
-SIZE (binutils-2.17.tar.bz2) = 13795751
+SHA256 (binutils-2.23.1.tar.bz2) = 2ab2e5b03e086d12c6295f831adad46b3e1410a3a234933a2e8fac66cb2e7a19
+SIZE (binutils-2.23.1.tar.bz2) = 21455321

Modified: head/devel/arm-elf-binutils/pkg-plist
==============================================================================
--- head/devel/arm-elf-binutils/pkg-plist	Sun Mar  3 03:21:29 2013	(r313323)
+++ head/devel/arm-elf-binutils/pkg-plist	Sun Mar  3 04:03:36 2013	(r313324)
@@ -1,4 +1,3 @@
-@comment $FreeBSD$
 arm-elf/bin/addr2line
 arm-elf/bin/ar
 arm-elf/bin/as
@@ -12,6 +11,9 @@ arm-elf/bin/readelf
 arm-elf/bin/size
 arm-elf/bin/strings
 arm-elf/bin/strip
+arm-elf/bin/ld.bfd
+arm-elf/bin/elfedit
+arm-elf/bin/gprof
 arm-elf/lib/ldscripts/armelf.x
 arm-elf/lib/ldscripts/armelf.xbn
 arm-elf/lib/ldscripts/armelf.xc
@@ -36,54 +38,148 @@ bin/arm-elf-readelf
 bin/arm-elf-size
 bin/arm-elf-strings
 bin/arm-elf-strip
+bin/arm-elf-elfedit
+bin/arm-elf-gprof
+bin/arm-elf-ld.bfd
+share/locale/bg/LC_MESSAGES/binutils.mo
+share/locale/bg/LC_MESSAGES/gprof.mo
+share/locale/bg/LC_MESSAGES/ld.mo
 share/locale/da/LC_MESSAGES/bfd.mo
+share/locale/da/LC_MESSAGES/opcodes.mo
 share/locale/da/LC_MESSAGES/binutils.mo
+share/locale/da/LC_MESSAGES/gprof.mo
 share/locale/da/LC_MESSAGES/ld.mo
-share/locale/da/LC_MESSAGES/opcodes.mo
 share/locale/de/LC_MESSAGES/opcodes.mo
+share/locale/de/LC_MESSAGES/gprof.mo
+share/locale/eo/LC_MESSAGES/gprof.mo
 share/locale/es/LC_MESSAGES/bfd.mo
+share/locale/es/LC_MESSAGES/opcodes.mo
 share/locale/es/LC_MESSAGES/binutils.mo
 share/locale/es/LC_MESSAGES/gas.mo
+share/locale/es/LC_MESSAGES/gprof.mo
 share/locale/es/LC_MESSAGES/ld.mo
-share/locale/es/LC_MESSAGES/opcodes.mo
-share/locale/fi/LC_MESSAGES/binutils.mo
+share/locale/fi/LC_MESSAGES/bfd.mo
 share/locale/fi/LC_MESSAGES/opcodes.mo
+share/locale/fi/LC_MESSAGES/binutils.mo
+share/locale/fi/LC_MESSAGES/gas.mo
+share/locale/fi/LC_MESSAGES/gprof.mo
+share/locale/fi/LC_MESSAGES/ld.mo
 share/locale/fr/LC_MESSAGES/bfd.mo
+share/locale/fr/LC_MESSAGES/opcodes.mo
 share/locale/fr/LC_MESSAGES/binutils.mo
 share/locale/fr/LC_MESSAGES/gas.mo
+share/locale/fr/LC_MESSAGES/gprof.mo
 share/locale/fr/LC_MESSAGES/ld.mo
-share/locale/fr/LC_MESSAGES/opcodes.mo
 share/locale/ga/LC_MESSAGES/opcodes.mo
+share/locale/ga/LC_MESSAGES/gprof.mo
+share/locale/ga/LC_MESSAGES/ld.mo
+share/locale/id/LC_MESSAGES/bfd.mo
 share/locale/id/LC_MESSAGES/opcodes.mo
+share/locale/id/LC_MESSAGES/binutils.mo
+share/locale/id/LC_MESSAGES/gas.mo
+share/locale/id/LC_MESSAGES/gprof.mo
+share/locale/id/LC_MESSAGES/ld.mo
+share/locale/it/LC_MESSAGES/opcodes.mo
+share/locale/it/LC_MESSAGES/binutils.mo
+share/locale/it/LC_MESSAGES/gprof.mo
+share/locale/it/LC_MESSAGES/ld.mo
 share/locale/ja/LC_MESSAGES/bfd.mo
 share/locale/ja/LC_MESSAGES/binutils.mo
+share/locale/ja/LC_MESSAGES/gas.mo
+share/locale/ja/LC_MESSAGES/gprof.mo
+share/locale/ja/LC_MESSAGES/ld.mo
+share/locale/ms/LC_MESSAGES/gprof.mo
 share/locale/nl/LC_MESSAGES/opcodes.mo
+share/locale/nl/LC_MESSAGES/gprof.mo
 share/locale/pt_BR/LC_MESSAGES/opcodes.mo
+share/locale/pt_BR/LC_MESSAGES/gprof.mo
 share/locale/ro/LC_MESSAGES/bfd.mo
-share/locale/ro/LC_MESSAGES/binutils.mo
 share/locale/ro/LC_MESSAGES/opcodes.mo
+share/locale/ro/LC_MESSAGES/binutils.mo
+share/locale/ro/LC_MESSAGES/gprof.mo
+share/locale/ru/LC_MESSAGES/bfd.mo
 share/locale/ru/LC_MESSAGES/binutils.mo
-share/locale/rw/LC_MESSAGES/bfd.mo
-share/locale/rw/LC_MESSAGES/binutils.mo
-share/locale/rw/LC_MESSAGES/gas.mo
+share/locale/ru/LC_MESSAGES/gas.mo
+share/locale/ru/LC_MESSAGES/gprof.mo
+share/locale/sk/LC_MESSAGES/binutils.mo
+share/locale/sr/LC_MESSAGES/gprof.mo
 share/locale/sv/LC_MESSAGES/bfd.mo
+share/locale/sv/LC_MESSAGES/opcodes.mo
 share/locale/sv/LC_MESSAGES/binutils.mo
+share/locale/sv/LC_MESSAGES/gprof.mo
 share/locale/sv/LC_MESSAGES/ld.mo
-share/locale/sv/LC_MESSAGES/opcodes.mo
 share/locale/tr/LC_MESSAGES/bfd.mo
+share/locale/tr/LC_MESSAGES/opcodes.mo
 share/locale/tr/LC_MESSAGES/binutils.mo
 share/locale/tr/LC_MESSAGES/gas.mo
+share/locale/tr/LC_MESSAGES/gprof.mo
 share/locale/tr/LC_MESSAGES/ld.mo
-share/locale/tr/LC_MESSAGES/opcodes.mo
+share/locale/uk/LC_MESSAGES/bfd.mo
+share/locale/uk/LC_MESSAGES/opcodes.mo
+share/locale/uk/LC_MESSAGES/binutils.mo
+share/locale/uk/LC_MESSAGES/gprof.mo
+share/locale/uk/LC_MESSAGES/ld.mo
 share/locale/vi/LC_MESSAGES/bfd.mo
+share/locale/vi/LC_MESSAGES/opcodes.mo
 share/locale/vi/LC_MESSAGES/binutils.mo
+share/locale/vi/LC_MESSAGES/gprof.mo
 share/locale/vi/LC_MESSAGES/ld.mo
-share/locale/vi/LC_MESSAGES/opcodes.mo
 share/locale/zh_CN/LC_MESSAGES/bfd.mo
+share/locale/zh_CN/LC_MESSAGES/opcodes.mo
 share/locale/zh_CN/LC_MESSAGES/binutils.mo
 share/locale/zh_CN/LC_MESSAGES/ld.mo
-share/locale/zh_CN/LC_MESSAGES/opcodes.mo
 share/locale/zh_TW/LC_MESSAGES/binutils.mo
+share/locale/zh_TW/LC_MESSAGES/ld.mo
+share/locale/rw/LC_MESSAGES/bfd.mo
+share/locale/rw/LC_MESSAGES/binutils.mo
+share/locale/rw/LC_MESSAGES/gas.mo
+share/locale/rw/LC_MESSAGES/gprof.mo
+@dirrmtry share/locale/bg/LC_MESSAGES
+@dirrmtry share/locale/bg
+@dirrmtry share/locale/da/LC_MESSAGES
+@dirrmtry share/locale/da
+@dirrmtry share/locale/de/LC_MESSAGES
+@dirrmtry share/locale/de
+@dirrmtry share/locale/eo/LC_MESSAGES
+@dirrmtry share/locale/eo
+@dirrmtry share/locale/es/LC_MESSAGES
+@dirrmtry share/locale/es
+@dirrmtry share/locale/fi/LC_MESSAGES
+@dirrmtry share/locale/fi
+@dirrmtry share/locale/fr/LC_MESSAGES
+@dirrmtry share/locale/fr
+@dirrmtry share/locale/ga/LC_MESSAGES
+@dirrmtry share/locale/ga
+@dirrmtry share/locale/id/LC_MESSAGES
+@dirrmtry share/locale/id
+@dirrmtry share/locale/it/LC_MESSAGES
+@dirrmtry share/locale/it
+@dirrmtry share/locale/ja/LC_MESSAGES
+@dirrmtry share/locale/ja
+@dirrmtry share/locale/nl/LC_MESSAGES
+@dirrmtry share/locale/nl
+@dirrmtry share/locale/pt_BR/LC_MESSAGES
+@dirrmtry share/locale/pt_BR
+@dirrmtry share/locale/ro/LC_MESSAGES
+@dirrmtry share/locale/ro
+@dirrmtry share/locale/ru/LC_MESSAGES
+@dirrmtry share/locale/ru
+@dirrmtry share/locale/sk/LC_MESSAGES
+@dirrmtry share/locale/sk
+@dirrmtry share/locale/sr/LC_MESSAGES
+@dirrmtry share/locale/sr
+@dirrmtry share/locale/sv/LC_MESSAGES
+@dirrmtry share/locale/sv
+@dirrmtry share/locale/tr/LC_MESSAGES
+@dirrmtry share/locale/tr
+@dirrmtry share/locale/uk/LC_MESSAGES
+@dirrmtry share/locale/uk
+@dirrmtry share/locale/vi/LC_MESSAGES
+@dirrmtry share/locale/vi
+@dirrmtry share/locale/zh_CN/LC_MESSAGES
+@dirrmtry share/locale/zh_CN
+@dirrmtry share/locale/zh_TW/LC_MESSAGES
+@dirrmtry share/locale/zh_TW
 @dirrmtry share/locale/rw/LC_MESSAGES
 @dirrmtry share/locale/rw
 @dirrm arm-elf/bin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Beech Rintoul freebsd_committer 2013-03-03 04:04:09 UTC
State Changed
From-To: open->closed

Committed, Thanks!